| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Types | Public Member Functions | Static Public Member Functions | List of all members
Ogre::PCZoneFactoryManager Class Reference

`#include <OgrePCZoneFactory.h>`

Inheritance diagram for Ogre::PCZoneFactoryManager:
[legend]

## Public Types
typedef MapIterator< PCZoneFactoryMap > | PCZoneFactoryIterator
typedef std::map< String, PCZoneFactory * > | PCZoneFactoryMap

## Public Member Functions
| PCZoneFactoryManager ()
| ~PCZoneFactoryManager ()
PCZone * | createPCZone (PCZSceneManager *pczsm, const String &zoneType, const String &zoneName)
PCZoneFactoryIterator | getPCZoneFactoryIterator (void)
| Return an iterator over the PCZone factories currently registered. More...
void | registerPCZoneFactory (PCZoneFactory *factory)
void | unregisterPCZoneFactory (PCZoneFactory *factory)

## Static Public Member Functions
static PCZoneFactoryManager & | getSingleton (void)
| Get the singleton instance. More...
static PCZoneFactoryManager * | getSingletonPtr (void)
| Get the singleton instance. More...

## Member Typedef Documentation

## ◆ PCZoneFactoryMap

typedef std::map<String, PCZoneFactory*> Ogre::PCZoneFactoryManager::PCZoneFactoryMap

## ◆ PCZoneFactoryIterator

typedef MapIterator<PCZoneFactoryMap> Ogre::PCZoneFactoryManager::PCZoneFactoryIterator

## Constructor & Destructor Documentation

## ◆ PCZoneFactoryManager()

Ogre::PCZoneFactoryManager::PCZoneFactoryManager | ( |  | ) |

## ◆ ~PCZoneFactoryManager()

Ogre::PCZoneFactoryManager::~PCZoneFactoryManager | ( |  | ) |

## Member Function Documentation

## ◆ registerPCZoneFactory()

void Ogre::PCZoneFactoryManager::registerPCZoneFactory | ( | PCZoneFactory * | factory | ) |

## ◆ unregisterPCZoneFactory()

void Ogre::PCZoneFactoryManager::unregisterPCZoneFactory | ( | PCZoneFactory * | factory | ) |

## ◆ createPCZone()

PCZone* Ogre::PCZoneFactoryManager::createPCZone | ( | PCZSceneManager * | pczsm,
|  | const String & | zoneType,
|  | const String & | zoneName
| ) |  |

## ◆ getSingleton()

static PCZoneFactoryManager& Ogre::PCZoneFactoryManager::getSingleton | ( | void |  | ) |
| static

Get the singleton instance.

## ◆ getSingletonPtr()

static PCZoneFactoryManager* Ogre::PCZoneFactoryManager::getSingletonPtr | ( | void |  | ) |
| static

Get the singleton instance.

## ◆ getPCZoneFactoryIterator()

PCZoneFactoryIterator Ogre::PCZoneFactoryManager::getPCZoneFactoryIterator | ( | void |  | ) |

Return an iterator over the PCZone factories currently registered.

The documentation for this class was generated from the following file:

- OgrePCZoneFactory.h